<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Specification;

use Dedi\SyliusDpdPickUpPlugin\Model\Pudo;

class DoesPudoHasHauteCorsePostalCodeSpecification
{
    public function __invoke(Pudo $pudo): bool
    {
        $prefixCode = (int) substr($pudo->zipCode, 0, 3);

        return $prefixCode >= 202 && $prefixCode < 207;
    }
}
